LibreOffice: DDE Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
DDE Service Referencepublished

specifies service of a DDE field master. More...

Inheritance diagram for DDE:

## Included Services
service | com::sun::star::text::TextFieldMaster

## Public Attributes
string | DDECommandElement
| contains the element string of the DDE command.
string | DDECommandFile
| contains the file string of the DDE command.
string | DDECommandType
| contains the type string of the DDE command.
boolean | IsAutomaticUpdate
| determines whether DDE link is updated automatically.
string | Content
| contains the content.
Public Attributes inherited from TextFieldMaster
string | Name
| determines the name of the field master.
string | InstanceName
| contains the instance name as it is used in the com::sun::star::text::XTextFieldsSupplier.

## Additional Inherited Members
Public Types inherited from TextFieldMaster
typedef sequence< XDependentTextField > | DependentTextFields
| contains a sequence of all fields that depend on this master.
Exported Interfaces inherited from TextFieldMaster
interface | com::sun::star::beans::XPropertySet
| This optional interface makes it possible to access properties of this field master, if any.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies service of a DDE field master.

See also
  com::sun::star::text::TextField

## Exported Interfaces

## ◆ com::sun::star::text::TextFieldMaster

service com::sun::star::text::TextFieldMaster

## Member Data Documentation

## ◆ Content

string Content
| optionalproperty

contains the content.

## ◆ DDECommandElement

string DDECommandElement
| property

contains the element string of the DDE command.

## ◆ DDECommandFile

string DDECommandFile
| property

contains the file string of the DDE command.

## ◆ DDECommandType

string DDECommandType
| property

contains the type string of the DDE command.

## ◆ IsAutomaticUpdate

boolean IsAutomaticUpdate
| property

determines whether DDE link is updated automatically.

The documentation for this service was generated from the following file:

- com/sun/star/text/fieldmaster/DDE.idl